#
# Conditional build:
%bcond_with	disassembler		# jit disassembler using binutils

Summary:	A library for dynamic code generation
Summary(pl.UTF-8):	Biblioteka do dynamicznego generowania kodu
Name:		lightning
Version:	2.2.0
Release:	1
License:	LGPL v3+
Group:		Libraries
Source0:	https://ftp.gnu.org/gnu/lightning/%{name}-%{version}.tar.gz
# Source0-md5:	abf179a9bd6770c9d0e1d501673c6bb7
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/lightning/
%{?with_disassembler:BuildRequires:	binutils-devel}
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU lightning is a library to aid in making portable programs that
compile assembly code at run time.

%description -l pl.UTF-8
GNU lightning to biblioteka mająca pomagać w tworzeniu przenośnych
programów kompilujących kod w asemblerze w czasie wykonywania.

%package devel
Summary:	Header files for GNU lightning library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GNU lightning
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GNU lightning library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GNU lightning.

%package static
Summary:	Static GNU lightning library
Summary(pl.UTF-8):	Statyczna biblioteka GNU lightning
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GNU lightning library.

%description static -l pl.UTF-8
Statyczna biblioteka GNU lightning.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{__enable_disable disassembler} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_libdir}/liblightning.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liblightning.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liblightning.so
%{_libdir}/liblightning.la
%{_includedir}/lightning
%{_includedir}/lightning.h
%{_infodir}/lightning.info*
%{_pkgconfigdir}/lightning.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblightning.a
%changelog
* Sun Dec 11 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lightning.git;a=log;h=master

* Sun Dec 11 2022 Jakub Bogusz <qboosh@pld-linux.org> 61a982b
- updated to 2.2.0 (new soname)

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> ad24de5
- Release 11 (by relup.sh)

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> a8c4794
- serialize install

* Wed Aug 17 2022 Jan Palus <atler@pld-linux.org> d13f964
- Release 10 (by relup.sh)

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> 4cadf62
- binutils rebuild

* Wed Aug 10 2022 Jan Palus <atler@pld-linux.org> 8055844
- disable disassembler until upstream adjusts to new binutils

* Mon Feb 14 2022 Jan Rękorajski <baggins@pld-linux.org> b1944f8
- Release 8 (by relup.sh)

* Wed Jul 21 2021 Jan Palus <atler@pld-linux.org> 979cefc
- binutils rebuild

* Thu Feb 11 2021 Jan Palus <atler@pld-linux.org> 7bd3fc9
- binutils rebuild
- release 6 (by relup.sh)

* Mon Oct 05 2020 Jan Rękorajski <baggins@pld-linux.org> 7d0c112
- release 5 (by relup.sh)

* Sat Jul 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 1bbc6bd
- release 4 (libbfd and libopcodes soname change)

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> 789a71b
- release 3 (by relup.sh)

* Tue Nov 19 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 12800d6
- release 2 (by relup.sh)

* Sun Sep 22 2019 Jakub Bogusz <qboosh@pld-linux.org> 7d7e675
- updated to 2.1.3

* Wed Jun 05 2019 Jan Rękorajski <baggins@pld-linux.org> 03addef
- release 5 (by relup.sh)

* Mon Jul 23 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a94842b
- release 4 (by relup.sh)

* Sun Jul 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 16b71cf
- release 3 (by relup.sh)

* Mon Feb 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 52e8862
- release 2 (by relup.sh)

* Sun Nov 12 2017 Jan Rękorajski <baggins@pld-linux.org> 72da886
- up to 2.1.2

* Tue Oct 24 2017 Jan Rękorajski <baggins@pld-linux.org> 09c4ee7
- rebuild with binutils 2.29
- release 8 (by relup.sh)

